%bcond_without check

%global goipath         github.com/ulikunitz/xz
Version:                0.5.11

%gometa

%global common_description %{expand:
This Go language package supports the reading and writing of xz compressed
streams. It includes also a gxz command for compressing and decompressing data.
The package is completely written in Go and doesn't have any dependency on any C
code.}

%global golicenses      LICENSE
%global godocs          doc README.md TODO.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Pure golang package for reading and writing xz-compressed files

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
mv %{gobuilddir}/bin/xb %{gobuilddir}/bin/goxb

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc doc README.md TODO.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
